HMWKGraphInternal::State Struct Reference

Internal: the state of a HMWKGraph. More...

## Public Member Functions

| State ()
| constructor More...
bool | getColor (int id, MWAWColor &col)
| returns a color correspond to an id More...
bool | getPatternPercent (int id, float &percent)
| returns a pattern correspond to an id More...
void | initColors ()
| init the color list More...
void | initPatterns ()
| init the pattenr list More...

## Static Public Member Functions

static MWAWColor | getColor (MWAWColor col, float pattern)
| returns a color corresponding to a pattern and a color More...

## Public Attributes

int | m_numPages
std::multimap< long, shared_ptr< Frame > > | m_framesMap
| a map fileId -> frame More...
std::map< long, shared_ptr < Picture > > | m_picturesMap
| a map fileId -> picture More...
std::vector< MWAWColor > | m_colorList
| a list colorId -> color More...
std::vector< float > | m_patternPercentList
| a list patternId -> percent More...

## Detailed Description

Internal: the state of a HMWKGraph.

## Constructor & Destructor Documentation

HMWKGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

bool HMWKGraphInternal::State::getColor | ( | int | id,
|  | MWAWColor & | col
| ) |  |

inline

returns a color correspond to an id

Referenced by HMWKGraphInternal::Frame::getLineColor(), and HMWKGraphInternal::Frame::getSurfaceColor().

static MWAWColor HMWKGraphInternal::State::getColor | ( | MWAWColor | col,
|  | float | pattern
| ) |  |

inline static

returns a color corresponding to a pattern and a color

bool HMWKGraphInternal::State::getPatternPercent | ( | int | id,
|  | float & | percent
| ) |  |

inline

returns a pattern correspond to an id

void HMWKGraphInternal::State::initColors | ( |  | ) |

init the color list

Referenced by getColor().

void HMWKGraphInternal::State::initPatterns | ( |  | ) |

init the pattenr list

Referenced by getPatternPercent().

## Member Data Documentation

std::vector<MWAWColor> HMWKGraphInternal::State::m_colorList

a list colorId -> color

Referenced by getColor(), and initColors().

std::multimap<long, shared_ptr<Frame> > HMWKGraphInternal::State::m_framesMap

a map fileId -> frame

int HMWKGraphInternal::State::m_numPages

std::vector<float> HMWKGraphInternal::State::m_patternPercentList

a list patternId -> percent

Referenced by getPatternPercent(), and initPatterns().

std::map<long, shared_ptr<Picture> > HMWKGraphInternal::State::m_picturesMap

a map fileId -> picture

The documentation for this struct was generated from the following file:

- HMWKGraph.cxx